SDL_GetKeyState(3)

NAME
SDL_GetKeyState - Get a snapshot of the current keyboard state

SYNOPSIS

#include "SDL.h"

Uint8 *SDL_GetKeyState(int *numkeys);

DESCRIPTION

Gets a snapshot of the current keyboard state. The current state is return as a pointer to an array, the size of this array is stored in numkeys. The array is indexed by the SDLK_* symbols. A value of 1 means the key is pressed and a value of 0 means its not. The pointer returned is a pointer to an internal SDL array and should not be freed by the caller.

    Note:

    Use SDL_PumpEvents to update the state array.

EXAMPLE

Uint8 *keystate = SDL_GetKeyState(NULL);
if ( keystate[SDLK_RETURN] ) printf("Return Key Pressed.
");

SEE ALSO

SDL Key Symbols, SDL_PumpEvents